/* Tronc commun.
 *
 * PegSoft modules subsystem library (c) 2005 PegSoft
 * Contact us at pegsoft@pegsoft.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software (the COPYING file); if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 */

#include <system/headers.h>

#include "modules/interface.h"

using namespace std;

/*************************************************************************/

namespace modules
{

/*************************************************************************/

ErrorInterface &ErrorInterface::operator=(ErrorInterface const &right)
{
	if (this != &right)
		m_error[0] = '\0';
	
	return *this;
}

/*************************************************************************/

void ErrorInterface::errorf(char const *format, ...)
{
	va_list args;
	va_start(args, format);
	vsnprintf(m_error, error_len, format, args);
	va_end(args);
}

/*************************************************************************/

} /* namespace modules */

/*************************************************************************/
