/* Private declarations.
 *
 * Log file module (c) 2005 PegSoft
 * Contact us at pegsoft@pegsoft.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see the file COPYING); if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef DECL_H
#define DECL_H

/*************************************************************************/

#include <log/levels.h>

/*************************************************************************/

namespace logfile
{

/*************************************************************************/

class LogFile;

/*************************************************************************/

extern LogFile *me;

/*************************************************************************/

LOGLEVEL(LogFileInfo, xlog::LogInfo, "Info::Logfile");
LOGLEVELH(LogFileError, xlog::LogError, "Error::Logfile", "logfile error: ");
LOGLEVELH(LogFileCritical, xlog::LogCritical, "Critical::Logfile",
		"logfile critical error: ");

/*************************************************************************/

} /* namespace logfile */

/*************************************************************************/

#endif /* DECL_H */
