/* Mini Epona.
 *
 * Epona (c) 2000-2002, 2004 PegSoft
 * Contact us at epona@pegsoft.net
 *
 * Based on the original code of Services by Andy Church.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see the file COPYING); if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef EPONA_H
#define EPONA_H

/*************************************************************************/

#include <core/epona.h>

/*************************************************************************/

extern core::Epona *epona;

extern int waiting;

extern void out_of_memory();

/*************************************************************************/

/* Legacy stuff */

#define s_NickServ ((char const *)epona->cd().nickserv.service.nick)
#define s_ChanServ ((char const *)epona->cd().chanserv.service.nick)
#define s_MemoServ ((char const *)epona->cd().memoserv.service.nick)
#define s_BotServ  ((char const *)epona->cd().botserv.service.nick)
#define s_HelpServ ((char const *)epona->cd().helpserv.nick)
#define s_OperServ ((char const *)epona->cd().operserv.service.nick)
#define s_GlobalNoticer ((char const *)epona->cd().global.service.nick)

#define NickDBName      "nick.db"
#define ChanDBName      "chan.db"
#define BotDBName       "bot.db"
#define OperDBName      "oper.db"
#define NewsDBName      "news.db"
#define ExceptionDBName "exception.db"

/*************************************************************************/

#endif /* EPONA_H */
